{% extends 'base.html.twig' %}

{% block body %}
    <body class="bg-gradient-primary">
    <div class="container">
        <div class="card o-hidden border-0 shadow-lg my-5">
            <div class="card-body p-0">
                <div class="row">
                    <div class="col-lg-5 d-none d-lg-block bg-register-image"></div>
                    <div class="col-lg-7">
                        <div class="p-5">
                            <div class="text-center">
                                <a href="{{ path('home_index') }}">
                                    <img src="{{ asset('build/images/RMA-logo.png') }}" alt="Logo" height="150" title="Strona główna"></a>
                                <h1 class="auth-title">Utwórz nowe konto!</h1>
                            </div>
                            {{ form_start(form, {'method': 'post', 'action': path('fos_user_registration_register'), 'attr': {'class': 'fos_user_registration_register'}}) }}
                            <form class="user">
                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                        {{ form_widget(form.userProfile.name) }}
                                    </div>
                                    <div class="col-sm-6">
                                        {{ form_widget(form.userProfile.surname) }}
                                    </div>
                                </div>
                                <div class="form-group">
                                    {{ form_widget(form.userProfile.companyName) }}
                                </div>
                                <div class="form-group">
                                    {{ form_widget(form.email, {'attr': {'placeholder': 'email@'} }) }}
                                </div>
                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                        {{ form_widget(form.plainPassword.first, {'attr': {'placeholder': 'Hasło'} }) }}
                                    </div>
                                    <div class="col-sm-6">
                                        {{ form_widget(form.plainPassword.second, {'attr': {'placeholder': 'Powtórz hasło'} }) }}
                                    </div>
                                </div>
                                <input type="submit" class="submit-btn btn btn-primary btn-block"
                                       value="Kontynuuj"/>

                                {{ form_end(form) }}
                            </form>
                            <hr>
                            <div class="text-center">
                                Masz już konto? <a href="{{ path('fos_user_security_login') }}"> Zaloguj się!</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </body>
{% endblock %}